- Qt 5.15
- Qt Charts
- QML Types
- CandlestickSet QML Type
- Qt Charts | Commercial or GPLv3

# CandlestickSet QML Type

Represents a single candlestick item in a candlestick chart. More...

Import Statement: | import QtCharts 2.15
Since: | QtCharts 2.2

- List of all members, including inherited members

## Properties

- brushFilename : string
- close : real
- high : real
- low : real
- open : real
- timestamp : real

## Signals

- clicked()
- doubleClicked()
- hovered(bool status)
- pressed()
- released()

## Detailed Description

Five values are needed to create a graphical representation of a candlestick item: open, high, low, close, and timestamp.

See also CandlestickSeries.

## Property Documentation

brushFilename : string

The name of the file used as a brush for the candlestick item.

close : real

The close value of the candlestick item.

high : real

The high value of the candlestick item.

low : real

The low value of the candlestick item.

open : real

The open value of the candlestick item.

timestamp : real

The timestamp value of the candlestick item.

## Signal Documentation

clicked()

This signal is emitted when the candlestick item is clicked.

The corresponding signal handler is `onClicked`.

Note: The corresponding handler is `onClicked`.

doubleClicked()

This signal is emitted when the user double-clicks a candlestick item.

The corresponding signal handler is `onDoubleClicked`.

Note: The corresponding handler is `onDoubleClicked`.

hovered(bool status)

This signal is emitted when a mouse is hovered over a candlestick item.

When the mouse moves over the item, status turns `true`, and when the mouse moves away again, it turns `false`.

The corresponding signal handler is `onHovered`.

Note: The corresponding handler is `onHovered`.

pressed()

This signal is emitted when the user clicks the candlestick item and holds down the mouse button.

The corresponding signal handler is `onPressed`.

Note: The corresponding handler is `onPressed`.

released()

This signal is emitted when the user releases the mouse press on the candlestick item.

The corresponding signal handler is `onReleased`.

Note: The corresponding handler is `onReleased`.